明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 325|回复: 8

[提问] 请教单行文字对齐

[复制链接]
发表于 2020-1-10 22:56 | 显示全部楼层 |阅读模式
本帖最后由 TPG辉 于 2020-1-13 08:07 编辑

  • t1 '("序号" "尺寸" "个数" "数量")
  • t2 '("T1" "36" "633" "63")
  • t3 '("T2" "8544" "52" "635")


请问怎么把上面的三个表,输出整行单行文字,右对齐







本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
发表于 2020-1-13 15:05 | 显示全部楼层

  1. (defun c:xx(/ gd1 gd2 pt)
  2.   (setq gd1 '("T1" "525" "635" ))
  3.   (setq gd2 '("T10" "44564" "63555"))
  4.   (setq pt (getpoint "\n->统计数据报表左上插入点:"))
  5.   (LL:Txtbx pt gd1 20)
  6.   (setq pt (polar pt (- 0 (/ pi 2)) 5))
  7.   (LL:Txtbx pt gd2 20)
  8. )
  9. (defun LL:Txtbx(lt1 lt2 lt3 / i t1)
  10.   (setq i 0)
  11.   (repeat (length lt2)
  12.     (setq t1 (polar lt1 0 (* lt3 i)))
  13.     (entmake (list
  14.                '(0 . "TEXT")
  15.                (cons 1 (nth i lt2))
  16.                (cons 7 "Standard")
  17.                (cons 8 "dim")
  18.                '(10 0 0 0)
  19.                (cons 11 t1)
  20.                (cons 40 (* lt3 0.15))
  21.                (cons 41 0.75)
  22.                (cons 50 0)
  23.                (cons 72 2)
  24.                (cons 73 1)
  25.                '(100 . "AcDbText")
  26.              )
  27.     )
  28.     (setq i (1+ i))
  29.   )
  30. )

回复 支持 1 反对 0

使用道具 举报

发表于 2020-1-13 08:14 | 显示全部楼层
只有lisp高手才做到得到了。
发表于 2020-1-13 09:13 | 显示全部楼层
写个点位的表
  1. (foreach x t1
  2.   (entmake (list
  3.              '(0 . "TEXT")
  4.              (cons 1 x)
  5.              (cons 11 点位)
  6.            )
  7.   )
  8. )

 楼主| 发表于 2020-1-13 11:39 | 显示全部楼层
[code="lisp] (defun c:xx(/ gd gd1 gd2 po pt)
        (setq gd1 '("T1" "525" "635" ))
        (setq gd2 '("T10" "44564" "63555"))
        (setq gd (append gd1 gd2))
        (setq sb (length gd))
        (setq pt (getpoint "\n->统计数据报表左上插入点:"))
        (setq po (XD::Pnts:Matrix pt sb 3 5 5))
        (foreach x gd
                (entmake (list
                                                         '(0 . "TEXT")
                                                         (cons 1 x)
                                                         (cons 11 po)
                                                 )
                )
                (setq po (polar po *x-pi15* 4.26))
        )
)

(defun XD::Pnts:Matrix (basepnt rows cols rowgap colgap / j rowpts pts)
  (repeat rows
    (setq j -1)
    (setq rowpts nil)
    (setq basepnt
                        (polar basepnt (- (/ pi 2.0)) rowgap)
    )
    (repeat cols
      (setq
        rowpts (cons (polar basepnt 0.0 (* colgap (setq j (1+ j))))
                                                                 rowpts
               )
      )
    )
    (setq pts (cons (reverse rowpts) pts))
  )
  (reverse pts)
)[/code]
 楼主| 发表于 2020-1-13 11:53 | 显示全部楼层

哪里错了吗?
发表于 2020-1-13 14:50 | 显示全部楼层

你的这种需求,这样写可能运行快一点。
  1. (defun c:xx(/ gd1 gd2 pt)
  2.   (setq gd1 '("T1" "525" "635" ))
  3.   (setq gd2 '("T10" "44564" "63555"))
  4.   (setq pt (getpoint "\n->统计数据报表左上插入点:"))
  5.   (LL:Txtbx pt gd1 5)
  6.   (setq pt (polar pt 0 20))
  7.   (LL:Txtbx pt gd2 5)
  8. )

  9. (defun LL:Txtbx(lt1 lt2 lt3 / i t1)
  10.   (setq i 0)
  11.   (repeat (length lt2)
  12.     (setq t1 (polar lt1 (- 0 (/ pi 2)) (* lt3 i)))
  13.     (entmake (list
  14.                '(0 . "TEXT")
  15.                (cons 1 (nth i lt2))
  16.                (cons 7 "Standard")
  17.                (cons 8 "dim")
  18.                '(10 0 0 0)
  19.                (cons 11 t1)
  20.                (cons 40 (* lt3 0.75))
  21.                (cons 41 0.75)
  22.                (cons 50 0)
  23.                (cons 72 2)
  24.                (cons 73 1)
  25.                '(100 . "AcDbText")
  26.              )
  27.     )
  28.     (setq i (1+ i))
  29.   )
  30. )
[/code]
 楼主| 发表于 2020-1-13 14:57 | 显示全部楼层
sharetow 发表于 2020-1-13 14:50
你的这种需求,这样写可能运行快一点。
[/code]

这样才对

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x

点评

你都金牌会员了。  发表于 2020-1-13 15:08
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2020 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2020-8-11 03:48 , Processed in 0.149424 second(s), 32 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表